[llvm-commits] [compiler-rt] r80937 - /compiler-rt/trunk/test/Unit/test
Daniel Dunbar
daniel at zuster.org
Thu Sep 3 13:03:14 PDT 2009
Author: ddunbar
Date: Thu Sep 3 15:03:14 2009
New Revision: 80937
URL: http://llvm.org/viewvc/llvm-project?rev=80937&view=rev
Log:
Convert tabs to spaces.
Modified:
compiler-rt/trunk/test/Unit/test
Modified: compiler-rt/trunk/test/Unit/test
URL: http://llvm.org/viewvc/llvm-project/compiler-rt/trunk/test/Unit/test?rev=80937&r1=80936&r2=80937&view=diff
==============================================================================
--- compiler-rt/trunk/test/Unit/test (original)
+++ compiler-rt/trunk/test/Unit/test Thu Sep 3 15:03:14 2009
@@ -1,36 +1,36 @@
for ARCH in i386 x86_64 ppc; do
- for FILE in $(ls *.c); do
- # Use -nodefaultlibs to avoid using libgcc.a
- # Use -lSystem to link with libSystem.dylb.
- # Note -lSystem is *after* libcompiler_rt.Optimized.a so that linker will
- # prefer our implementation over the ones in libSystem.dylib
- EXTRA=
- if test $FILE = gcc_personality_test.c
- then
- # the gcc_personality_test.c requires a helper C++ program
- EXTRA="-fexceptions gcc_personality_test_helper.cxx -lstdc++ /usr/lib/libgcc_s.1.dylib"
- # the libgcc_s.1.dylib use at the end is a hack until libSystem contains _Unwind_Resume
- fi
- if test $FILE = trampoline_setup_test.c
- then
- # this test requires an extra compiler option
- EXTRA="-fnested-functions"
- fi
- if gcc -nodefaultlibs -arch $ARCH -Os $FILE ../../Release/libcompiler_rt.Optimized.a -lSystem $EXTRA
- then
- echo "Testing $FILE for $ARCH"
- if ./a.out
- then
- rm ./a.out
- else
- echo "fail"
- exit 1
- fi
- else
- echo "$FILE failed to compile"
- exit 1
- fi
- done
+ for FILE in $(ls *.c); do
+ # Use -nodefaultlibs to avoid using libgcc.a
+ # Use -lSystem to link with libSystem.dylb.
+ # Note -lSystem is *after* libcompiler_rt.Optimized.a so that linker will
+ # prefer our implementation over the ones in libSystem.dylib
+ EXTRA=
+ if test $FILE = gcc_personality_test.c
+ then
+ # the gcc_personality_test.c requires a helper C++ program
+ EXTRA="-fexceptions gcc_personality_test_helper.cxx -lstdc++ /usr/lib/libgcc_s.1.dylib"
+ # the libgcc_s.1.dylib use at the end is a hack until libSystem contains _Unwind_Resume
+ fi
+ if test $FILE = trampoline_setup_test.c
+ then
+ # this test requires an extra compiler option
+ EXTRA="-fnested-functions"
+ fi
+ if gcc -nodefaultlibs -arch $ARCH -Os $FILE ../../Release/libcompiler_rt.Optimized.a -lSystem $EXTRA
+ then
+ echo "Testing $FILE for $ARCH"
+ if ./a.out
+ then
+ rm ./a.out
+ else
+ echo "fail"
+ exit 1
+ fi
+ else
+ echo "$FILE failed to compile"
+ exit 1
+ fi
+ done
done
echo "pass"
exit
More information about the llvm-commits
mailing list